Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694426 - [abrt] borgbackup: resolve(): __init__.py:786:resolve:pkg_resources.DistributionNotFound: The 'msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6' distribution was not found and is required by borgbackup
Summary: [abrt] borgbackup: resolve(): __init__.py:786:resolve:pkg_resources.Distribut...
Keywords:
Status: CLOSED DUPLICATE of bug 1669083
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e6925257fdb893afb3006d543b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-31 11:11 UTC by J. Haas
Modified: 2019-04-04 04:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 04:41:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: cgroup (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: cpuinfo (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: environ (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: mountinfo (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: namespaces (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details
File: open_fds (deleted)
2019-03-31 11:11 UTC, J. Haas
no flags Details

Description J. Haas 2019-03-31 11:11:14 UTC
Description of problem:
Botting up system, triggering regular borgbackup script. Issue appeared after upgrading to Fedora 30 beta.

Version-Release number of selected component:
borgbackup-1.1.7-2.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 /usr/bin/borg create -v --stats nasbox:/data/borg/::{hostname}-{now:%Y-%m-%d} /home/jh/
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/borg
interpreter:    python3-3.7.2-7.fc30.x86_64
kernel:         5.0.0-300.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:786:resolve:pkg_resources.DistributionNotFound: The 'msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6' distribution was not found and is required by borgbackup

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (msgpack 0.6.1 (/usr/lib64/python3.7/site-packages), Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6'), {'borgbackup'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/borg", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3191, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3175, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3204, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6' distribution was not found and is required by borgbackup

Local variables in innermost frame:
self: <pkg_resources.WorkingSet object at 0x7f0ab87a07b8>
requirements: []
env: <pkg_resources.Environment object at 0x7f0ab87a0860>
installer: None
replace_conflicting: False
extras: None
processed: {Requirement.parse('borgbackup==1.1.7'): True}
best: {'borgbackup': borgbackup 1.1.7 (/usr/lib64/python3.7/site-packages), 'msgpack': None}
to_activate: [borgbackup 1.1.7 (/usr/lib64/python3.7/site-packages)]
req_extras: {Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6'): ()}
required_by: defaultdict(<class 'set'>, {Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6'): {'borgbackup'}})
req: Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6')
dist: None
ws: <pkg_resources.WorkingSet object at 0x7f0ab87a07b8>
requirers: {'borgbackup'}
new_requirements: [Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6')]
new_requirement: Requirement.parse('msgpack!=0.5.0,!=0.5.1,!=0.5.2,!=0.5.3,!=0.5.4,!=0.5.5,<=0.5.6,>=0.4.6')

Comment 1 J. Haas 2019-03-31 11:11:16 UTC
Created attachment 1550097 [details]
File: backtrace

Comment 2 J. Haas 2019-03-31 11:11:18 UTC
Created attachment 1550098 [details]
File: cgroup

Comment 3 J. Haas 2019-03-31 11:11:19 UTC
Created attachment 1550099 [details]
File: cpuinfo

Comment 4 J. Haas 2019-03-31 11:11:20 UTC
Created attachment 1550100 [details]
File: environ

Comment 5 J. Haas 2019-03-31 11:11:22 UTC
Created attachment 1550101 [details]
File: mountinfo

Comment 6 J. Haas 2019-03-31 11:11:23 UTC
Created attachment 1550102 [details]
File: namespaces

Comment 7 J. Haas 2019-03-31 11:11:24 UTC
Created attachment 1550103 [details]
File: open_fds

Comment 8 Peter Hutterer 2019-04-04 04:41:48 UTC

*** This bug has been marked as a duplicate of bug 1669083 ***


Note You need to log in before you can comment on or make changes to this bug.